/*
  Nanonyam
  Copyright (C) 2020 Nanoslavic
  www.nanoslavic.ru/nanonyam
  www.nanoslavic.com/nanonyam
  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.
*/

//Do not use this library and functions!

#ifndef __nanonyam_lib
#define __nanonyam_lib


//     .   .
#define START_SYSTEM_PARAM_ADDR		0x0060

void ExecuteByCodes(uint8_t a, uint8_t b);
uint8_t ExecuteByCodesU8(uint8_t a, uint8_t b);
uint16_t ExecuteByCodesU16(uint8_t a, uint8_t b);
uint32_t ExecuteByCodesU32(uint8_t a, uint8_t b);
uint64_t ExecuteByCodesU64(uint8_t a, uint8_t b);
float ExecuteByCodesFLT(uint8_t a, uint8_t b);

#endif /*__nanonyam_lib*/
